<?php
			$nodes = array();
			$parents = array();
			
			$db_path = "country-city.db";
			$db = new SQLite3($db_path);
			$stm = $db->prepare('select * from countrycity');
			$results = $stm->execute();
			while($row = $results->fetchArray()){
			  $nodes[$row["c_parent"]][$row["c_id"]] = $row;
		 	  $parents[$row["c_id"]] = array('parent' => $row["c_parent"],'name' => $row["c_name"]);
	  		}
			$stm->close();
			$db->close();
			
			function make_list($id,&$list){
				global $nodes;
				foreach($nodes[$id] as $node){
					$list .= "<li>".$node["c_name"];
					if (isset($nodes[$node["c_id"]]) && is_array($nodes[$node["c_id"]])){
						$list .= "<ul>";
						make_list($node["c_id"],$list);
						$list .= "</ul>";
					}
					$list .= "</li>";
				}
			}
			
			function add_path($id,&$path_arr){
				global $parents;
				if ($id == 0){
					$path_arr[] = "ریشه";
				}else{
					$path_arr[] = $parents[$id]['name'];
					add_path($parents[$id]['parent'],$path_arr);
				}
			}			
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>والد و فرزند</title>
<style type="text/css">
	body{
		direction:rtl;
		font-size:12px;
		font-family:tahoma;
		direction:rtl;
	}
</style>
<link rel="stylesheet" href="jstree/themes/default/style.min.css" />
<script src="jstree/libs/jquery.js"></script>
<script src="jstree/jstree.min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	$('#jstree_demo').jstree();
});
</script>
</head>
<body>
<b>نمایش کشور و شهر در فرمت لیستی :</b><br />
<?php
		$list = "<ul>";
		make_list(0,$list);
		$list .= "</ul>";
		echo $list;
?>
<hr />
<b>نمایش مسیر از والد برای شهر دماوند:</b><br />
<?php
	$path_arr = array();
	add_path(20,$path_arr);
	$path_arr = array_reverse($path_arr);
	echo implode(" > ",$path_arr);
?>
<hr />
<b>نمایش کشور و شهر در فرمت <a href='http://www.jstree.com/' target='_blank'>jsTree</a> :</b><br />
<div id="jstree_demo">
<?php
		$list = "<ul>";
		make_list(0,$list);
		$list .= "</ul>";
		echo $list;
?>
</div>
</body>
</html>